mod math_vector;
mod pig_latin;
mod company;

fn main() {
    math_vector::showroom();
    pig_latin::showroom();

    let mut employees: Vec<company::Employee> = vec![];

    // Test fail cases
    company::parse_command(&mut employees, "");
    company::parse_command(&mut employees, "Toto");
    company::parse_command(&mut employees, "Add Toto");
    company::parse_command(&mut employees, "Add Toto Sales");
    company::parse_command(&mut employees, "Add Toto to Streamer");


    company::parse_command(&mut employees, "Add Sally toto Engineering");
    company::parse_command(&mut employees, "Add Amir to Sales");
    company::parse_command(&mut employees, "Add Sarah to Marketing");
    company::parse_command(&mut employees, "Add Amir to Engineering");
    company::parse_command(&mut employees, "Add Paul to Engineering");
    company::parse_command(&mut employees, "Add Paul to Engineering");
    println!("{:?}", employees);

    company::parse_command(&mut employees, "Remove Amir from Sales");
    company::parse_command(&mut employees, "Remove Paul from Engineering");
    company::parse_command(&mut employees, "Remove Sarah from Sales");
    println!("{:?}", employees);

    println!("{:?}", company::parse_command(&mut employees, "List Engineering employees"));
    println!("{:?}", company::parse_command(&mut employees, "List Marketing employees"));
    println!("{:?}", company::parse_command(&mut employees, "List Sales employees"));

    println!("{:?}", company::parse_command(&mut employees, "List all employees"));
}
