pub fn showroom() {
    println!("Change a world String to \"pig-latin\".");

    let consonant = String::from("first");
    let vowel = String::from("apple");
    let symbol = String::from("!symbolic");
    let uppercase = String::from("UPPERCASE");
    let accent = String::from("école");
    let accent_multiples_char = String::from("église");

    let consonant = to_pig_latin(consonant);
    println!("And the suffix to add is: {}", consonant);
    let vowel = to_pig_latin(vowel);
    println!("And the suffix to add is: {}", vowel);
    let symbol = to_pig_latin(symbol);
    println!("And the suffix to add is: {}", symbol);
    let uppercase = to_pig_latin(uppercase);
    println!("And the suffix to add is: {}", uppercase);
    let accent = to_pig_latin(accent);
    println!("And the suffix to add is: {}", accent);
    let accent_multiples_char = to_pig_latin(accent_multiples_char);
    println!("And the suffix to add is: {}", accent_multiples_char);

    println!();
}

pub fn to_pig_latin(mut s: String) -> String {
    let vowels = vec!['a', 'e', 'i', 'o', 'u', 'y'];

    // FIXME: is there something better than removing the 1st char like this ?
    // Since 2 of the 3 branches need to reform the word.
    let first_letter = s.remove(0);

    if !first_letter.is_alphabetic() {
        // Not starting with a letter, ignore and reset the letter
        format!("{}{}", first_letter, s)
    } else if vowels.contains(&first_letter.to_ascii_lowercase()) {
        // Starting with a vowel, reform the word and place add "-hay"
        format!("{}{}-hay", first_letter, s)
    } else {
        // Starting with a consonant, place the consonant at the end of the word followed by "ay"
        format!("{}-{}ay", s, first_letter)
    }
}
